﻿@{
    Layout = null;
}

@using Dominus.Backend.Application
@inject Blazor.WebApp.AppState appstate
@model Blazor.Infrastructure.Models.SingInModel

<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="utf-8" />
    <link rel="apple-touch-icon" sizes="76x76" href="~/images/favicon.png">
    <link rel="icon" type="image/png" href="~/images/favicon.png">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <title>
        CloudOneSoft
    </title>
    <meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0, shrink-to-fit=no' name='viewport' />

    <link href="~/css/devextreme/dx.common.css" rel="stylesheet" />
    <link href="~/css/devextreme/dx.light.css" rel="stylesheet" />

    @*<script src="~/lib/jquery/3.4.1/jquery.min.js"></script>*@
    <script src="~/Themes/gentelella/vendors/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/Microsoft.jQuery.Unobtrusive.Ajax/jquery.unobtrusive-ajax.min.js"></script>
    <script src="~/lib/devextreme/jszip.js"></script>
    <script src="~/lib/devextreme/dx.all.js"></script>
    <script src="~/lib/devextreme/vectormap-data/world.js"></script>
    <script src="~/lib/devextreme/aspnet/dx.aspnet.data.js"></script>
    <script src="~/lib/devextreme/aspnet/dx.aspnet.mvc.js"></script>
    <script src="~/lib/devextreme/translation/devextreme-intl.min.js"></script>
    <script src="~/lib/devextreme/translation/polyfill.min.js"></script>
    <script src="~/lib/devextreme/localization/dx.messages.es.js"></script>
    <script src="~/js/platform_1.3.5.js"></script>

    @* Diccionario Español *@
    <script src="~/lib/devextreme/localization/dx.messages.es.js"></script>

    <!-- Bootstrap -->
    <link href="~/Themes/gentelella/vendors/bootstrap/dist/css/bootstrap.css" rel="stylesheet">
    @*<link href="~/lib/bootstrap-4.3.1-dist/css/bootstrap.min.css" rel="stylesheet">*@
    <!-- Font Awesome -->
    <link href="~/Themes/gentelella/vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">

    <!-- Custom Theme Style -->
    <link href="~/css/login.css" rel="stylesheet">

    @* Lib para manejo de fechas *@
    <script src="~/lib/moment/moment.js"></script>

    <script src="~/js/Utils.js"></script>

</head>

<body>

    @using (Html.DevExtreme().NamedTemplate("TemplateValidation"))
    {
        @(Html.DControls().ValidationSummary().ValidationGroup("LoginValidationGroup").ElementAttr("class","ErrorValidationSummary"))
    }

    <div id="mainPanel">
        <div class="sidenav">
            <div class="login-main-text">
                <div>
                    <img class="img-fluid" src="~/images/logo_nube_blanco-G.png" style="max-height:120px;max-width:120px;" />
                </div>
                @*<h1>CloudOneSoft</h1>*@
                <h3>
                    SIISO CLOUD ERP
                </h3>
                <h5>
                    Sistema Integrado de Servicios y Operaciones
                </h5>
            </div>
            <div class="login-footer">
                <label>Version App: <b>@(ViewBag.VersionApp).@(ViewBag.ParcheApp)</b></label>
            </div>
        </div>
        <div class="main">
            <div class="col-sm-12">
                <div class="login-empresa">
                    <div>
                       @if (!string.IsNullOrWhiteSpace(Model.Logo))
                        {
                            <img class="img-fluid img-logo" src="@(String.Format("data:image/gif;base64,{0}", Model.Logo))" title="logo_@(Model.RazonSocialEmpresa)" />
                        }
                        @*<img class="img-fluid" src="~/images/logo_nube_negro-G.png" style="max-height:150px;max-width:150px;" />*@
                    </div>
                    <label class="text-center">
                        @(Model.RazonSocialEmpresa)
                    </label>
                </div>
                <div class="login-form col-md-6 ">
                    <form casp-controller="Login" asp-action="SingIn" asp-area="" asp-route-returnUrl="@Url.Action("Index", "Home")" method="post" onsubmit="showLoadIndicator()">
                        @using (Html.DevExtreme().ValidationGroup("LoginValidationGroup"))
                        {
                            @Html.DControls().TextBoxFor(x => x.RazonSocialEmpresa).Visible(false);
                            @Html.DControls().TextBoxFor(x => x.Logo).Visible(false);
                            @Html.DControls().TextBoxFor(x => x.ConnectionId).Visible(false);

                            @(Html.DevExtreme().Form<SingInModel>()
                                        //.ShowValidationSummary(true)
                                        .LabelLocation(FormLabelLocation.Top)
                                        .Items(items =>
                                        {
                                            items.AddGroup()
                                            .Caption("Inicio de Sesión")
                                            .ColCount(1)
                                            .Items(groupItems =>
                                            {
                                                groupItems.AddSimple().Template(new TemplateName("TemplateValidation"));

                                                groupItems.AddSimpleFor(m => m.UserName)
                                                    .Label(x => x.Alignment(HorizontalAlignment.Left).Text("Usuario"))
                                                    .Editor(e => e.TextBox().ID("UserName").Mode(TextBoxMode.Text)
                                                );

                                                groupItems.AddSimpleFor(m => m.Password)
                                                    .Label(x => x.Alignment(HorizontalAlignment.Left).Text("Contraseña"))
                                                    .Editor(e => e.TextBox().Mode(TextBoxMode.Password)
                                                );

                                                groupItems.AddButton()
                                                .HorizontalAlignment(HorizontalAlignment.Center)
                                                .ButtonOptions(b => b.Text("Ingresar").StylingMode(ButtonStylingMode.Contained)
                                                    .Type(ButtonType.Default)
                                                    .UseSubmitBehavior(true));

                                            });

                                        })
                                        .FormData(Model)
                                    //.OnContentReady("SigInOnContentReady")
                                    )
                        }
                    </form>
                </div>
            </div>
        </div>
    </div>

    <script>
        var showLoadIndicator = function () {
            $("#mainPanel").append('<div id="LoadIndicatorProgress" class="loading"><div class="loader"></div></div>');
        };

        var hideLoadIndicator = function () {
            var load = $("#LoadIndicatorProgress");
            if (load.length == 1) {
                load.remove();
            }
        };
        SiisoRunGeoLocalizacion();
        BorrarStorageGrids();
        hideLoadIndicator();
    </script>

</body>

@*<body class="login" style="background-color:white !important">


        <div>
            <a class="hiddenanchor" id="signup"></a>
            <a class="hiddenanchor" id="signin"></a>

            <div class="login_wrapper">
                <div>
                    <div class="row">
                        <div class="col-sm-6">
                            <div>
                                @if (appstate.SwitchApp == 1)
                                {
                                    <img class="img-fluid" src="~/images/logo_all_azul-G.png" width="330" height="330" />
                                }
                                else
                                {
                                    <label style="font-size: 5em;">Siesa (Blazor con MVC)</label>
                                }
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <form casp-controller="Login" asp-action="SingIn" asp-area="" asp-route-returnUrl="@Url.Action("Index", "Home")" method="post">

                                @(Html.DControls().TextBoxFor(x=>x.ConnectionId).Visible(false))

                                @using (Html.DevExtreme().ValidationGroup())
                                {
                                    @(Html.DevExtreme().Form<SingInModel>()
                                        //.ShowValidationSummary(true)
                                        .LabelLocation(FormLabelLocation.Top)
                                        .Items(items =>
                                        {
                                            items.AddGroup().CssClass("loginFields")
                                            .Caption("Inicio de Sesión")
                                            .ColCount(1)
                                            .Items(groupItems =>
                                            {
                                                //groupItems.AddSimpleFor(m => m.ConnectionId).Visible(true)
                                                //    .Label(x => x.Alignment(HorizontalAlignment.Left).Text("Conexion"))
                                                //    .Editor(e => e.SelectBox()
                                                //    .DataSource(DApp.DataBaseSettings)
                                                //    .DisplayExpr("Name").ValueExpr("Name").ID("ConnectionName").Placeholder("Conectarse a")
                                                //    //.OnValueChanged("SearchDataByUser")
                                                //);

                                                groupItems.AddSimpleFor(x => x.RazonSocialEmpresa).Visible(true)
                                                .Editor(e=>e.TextBox().ReadOnly(true));

                                                groupItems.AddSimpleFor(m => m.UserName)
                                                    .Label(x => x.Alignment(HorizontalAlignment.Left).Text("Usuario"))
                                                    .Editor(e => e.TextBox().ID("UserName").Mode(TextBoxMode.Text)
                                                    //.OnValueChanged("SearchDataByUser")
                                                );

                                                groupItems.AddSimpleFor(m => m.Password)
                                                    .Label(x => x.Alignment(HorizontalAlignment.Left).Text("Contraseña"))
                                                    .Editor(e => e.TextBox().Mode(TextBoxMode.Password));

                                                //groupItems.AddSimpleFor(m => m.EmpresaId)
                                                //    .Editor(e => e.SelectBox().ID("EntidadId")
                                                //    .ValueExpr("Id").DisplayExpr("RazonSocial")
                                                //    .SearchEnabled(true).ShowClearButton(true)
                                                //);

                                                groupItems.AddButton()
                                                .HorizontalAlignment(HorizontalAlignment.Center)
                                                .ButtonOptions(b => b.Text("Ingresar")
                                                    .Type(ButtonType.Default)
                                                    .UseSubmitBehavior(true));

                                            });

                                        })
                                        .FormData(Model)
                                        //.OnContentReady("SigInOnContentReady")
                                    )
                                }
                            </form>
                            <div asp-validation-summary="All" class="text-danger"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="footer">
            <label>Version App: <b>@(ViewBag.VersionApp).@(ViewBag.ParcheApp)</b></label>
        </div>
        <script>
            BorrarStorageGrids();
        </script>

    </body>*@
</html>
